EDIT - bug #9568

TypeSpecimenEditor: Selection of a reference of an typified image
03/30/2021 10:28 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.22

Severity: blocker Found in Version:

Description

Vaadin TypeSpecimenEditor (Test as well as production):

With change of the typification reference with preselected references from the typifying reference (correct), the reference of the
typified image was also restricted to the same preselection.

Bug to be fixed: the image reference can be any reference, already available in PhycoBank or newly established.

See screenshot:

Types

Designation Reference Designation Reference Detail Media Uri Image reference

Editorial notes

Related issues:
Related to EDIT - bug #9290: stop setting Registration.citation as citation f... Closed

Related to EDIT - bug #9480: SpecimenTypeDesignationEditor: designationRefere... Closed

Associated revisions

Revision e8dcb430 - 04/13/2021 03:05 PM - Andreas Kohlbecker

ref #9480, fix #9568 restoring reference pagingProvider for media references of type specimens

Revision 2121e775 - 04/13/2021 04:07 PM - Andreas Kohlbecker

ref #9480, fix #9568 restoring reference pagingProvider for media references of type specimens - 2

History

#1 - 03/30/2021 11:06 AM - Andreas Kohlbecker
- Target version changed from Unassigned CDM tickets to Release 5.22

- Severity changed from critical to blocker

#2 - 04/13/2021 03:02 PM - Andreas Kohlbecker
- Related to bug #9290: stop setting Registration.citation as citation for TypeDesignations in all type editors by default added

#3 - 04/13/2021 03:02 PM - Andreas Kohlbecker

- Related to bug #9480: SpecimenTypeDesignationEditor: designationReference --> new should be limited to sections of the publishedUnit added

#4 - 04/13/2021 03:03 PM - Andreas Kohlbecker

This is an regression introduced in the context of #9480
https://dev.e-taxonomy.eu/redmine/issues/9480

#5 - 04/13/2021 03:05 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|e8dcb430eb56a577c61ef744ce689094e2093d90.

#6 - 04/13/2021 04:18 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#7 - 04/13/2021 04:18 PM - Andreas Kohlbecker

please test once the server is updated (~1h from now on)

#8 - 04/13/2021 10:22 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Selection of a reference of an typified image in the TypeSpecimenEditor works now as expected, thanks. The ticket can be closed.

#9 - 04/14/2021 05:19 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
